<!DOCTYPE HTML>
<html xmlns:th="https://www.thymeleaf.org">
<head>
    <title>Find Store Form</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link href="https://stackpath.bootstrapcdn.com/bootswatch/4.4.1/lumen/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-715VMUUaOfZR3/rWXZJ9agJ/udwSXGEigabzUbJm2NR4/v5wpDy8c14yedZN6NL7" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/main.css}"/>
    <link rel="stylesheet" th:href="@{/css/findStore.css}"/>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <span class="circle-brand"></span>
    <a class="navbar-brand" href="/">Kuwe</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03"
            aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarColor03">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
            </li>
        </ul>
        <button class="btn btn-warning my-2 my-sm-0"><a th:href="@{'/create'}">Create Kuwe</a></button>
    </div>
</nav>
<div class="container-fluid">
    <div class="row align-items-center justify-content-center h-100">
        <div style="text-align: center; margin: 10px;">
            <button class="btn btn-warning my-2 my-sm-0" onclick="getLocation()">Gunakan lokasi saya.</button>
            <p class="text-center">atau</p>
            <p id="demo"></p>

            <p class="text-center">Masukkan lokasi secara manual,</p>
            <form action="#" th:action="@{/find-form}" th:object="${location}" method="post">
                <p class="text-center">Latitude: <input type="text" id="lat" th:field="*{latitude}"/></p>
                <p class="text-center">Longitude: <input type="text" id="lon" th:field="*{longitude}"/></p>

                <h5 class="text-center" ><input type="submit" value="CARI BAKERY!"/></h5>
            </form>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>

</body>

<script>
    var x = document.getElementById("demo");

    function getLocation() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition);
        } else {
            x.innerHTML = "Geolocation is not supported by this browser.";
        }
    }

    function showPosition(position) {
        document.getElementById('lat').value = position.coords.latitude;
        document.getElementById('lon').value = position.coords.longitude;
    }


</script>

</body>
</html>
